API ReferenceDemo

The demo user's mandates

GET
/api/mandates

Every mandate the demo user has signed, with its rules and status (active, paused or revoked).

Response Body

application/json

curl -X GET "https://example.com/api/mandates"
[  {    "id": "string",    "userId": "string",    "status": "active",    "rawText": "string",    "createdAt": "2019-08-24T14:15:22Z",    "policy": {      "categories": [        "string"      ],      "currency": "string",      "maxItemMinor": 0,      "budget": {        "amountMinor": 0,        "period": "week"      },      "sellers": {        "verifiedOnly": true,        "blocked": [          "string"        ]      },      "overLimit": "ask",      "maxPremiumPct": 0,      "marketUnavailable": "ask",      "expires": "2019-08-24"    }  }]